import 'package:mmoo_imclient/message/message_content.dart';
import 'package:mmoo_imclient/model/message_payload.dart';

class UnknownMessageContent extends MessageContent {
  late MessagePayload rawPayload;
  @override
  void decode(MessagePayload payload) {
    super.decode(payload);
    rawPayload = payload;
  }

  @override
  Future<MessagePayload> encode() async{
    return rawPayload;
  }
}
